%define upstream_name	 SQL-Abstract-Limit
%define upstream_version 0.142

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Portable LIMIT emulation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/SQL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBI)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(SQL::Abstract) >= 1.200.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Portability layer for LIMIT emulation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor destdir=%{buildroot}
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/SQL
%{_mandir}/man*/*

%changelog
* Mon Nov 23 2020 tv <tv> 0.142.0-1.mga8
+ Revision: 1648613
- update to 0.142

* Wed Feb 12 2020 umeabot <umeabot> 0.141.0-12.mga8
+ Revision: 1497199
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.141.0-11.mga7
+ Revision: 1271215
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.141.0-10.mga6
+ Revision: 1033327
- Rebuild for perl 5.22.2

* Wed Feb 03 2016 umeabot <umeabot> 0.141.0-9.mga6
+ Revision: 933814
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.141.0-8.mga5
+ Revision: 743833
- Second Mageia 5 Mass Rebuild
+ tv <tv>
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.141.0-6.mga5
+ Revision: 686140
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.141.0-5.mga4
+ Revision: 514490
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.141.0-4.mga3
+ Revision: 372435
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.141.0-3.mga1
+ Revision: 34213
- mageia rebuild
- imported package perl-SQL-Abstract-Limit

